varying vec3 L;
varying vec3 V;
uniform sampler2D texMap;

void main()
{
/*
	float a = 0.5;
	float b = 10.0;
	vec3 N = vec3(0.0, 0.0, 1.0);
	float s = gl_TexCoord[0].s;
	float t = gl_TexCoord[0].t;
	N.x = a*b*sin(b*s)*cos(b*t);
	N.y = a*b*sin(b*t)*cos(b*s);
	N = normalize(N);
*/
	vec4 N = texture2D(texMap, gl_TexCoord[0].st);
	vec3 NN =  normalize(2.0*N.xyz-1.0);
	vec3 LL = normalize(L);
	float Kd = max(dot(NN, LL), 0.0);
	gl_FragColor = Kd*gl_FrontLightProduct[0].diffuse;
}
